Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6258 - kickstart "upgrade" should not prompt to "Customize" RPMS
Summary: kickstart "upgrade" should not prompt to "Customize" RPMS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-22 18:19 UTC by cavanaug
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-15 16:34:02 UTC


Attachments (Terms of Use)

Description cavanaug 1999-10-22 18:19:35 UTC
We either need a way to turn that prompt off, or just dont
do it by default if it is a kickstart upgrade.

I need to completely automate the upgrading of a bunch of
machines (without telling people to select no to that
option)

PS.  Im using the updated boot images from 10/21/99

--John C

Comment 1 Jay Turner 1999-10-25 15:31:59 UTC
Try specifying the "text" option in the ks.cfg file, as that will
force the installer into TUI mode and you will not be prompted for
Individual Package Selection.  In addition, the installs/upgrades
should run faster.

------- Additional Comments From   10/25/99 16:44 -------
Ill try the text option when I get back to the office, but Im pretty
sure I already had it.  Basically it already was a complete text based
upgrade, it was just that at the very end it asked if you wanted to
customize the list of upgraded rpms.  That is the only message I wasnt
able to suppress.

Ill give you more information by wednesday.

--John C

Comment 2 Stelian Pop 1999-10-27 10:15:59 UTC
Even if the "text" option is specified, the kickstart upgrade
still prompts for "customize packages". (with the old boot disks,
I wasn't able to use the new ones with ks=floppy: it just freezes).

Stelian.

Comment 3 Jay Turner 2000-02-15 16:33:59 UTC
Issue will be resolved in the next cut of the beta.


Note You need to log in before you can comment on or make changes to this bug.